<p>So I've done it. Since announcing it <a href="https://www.rismosch.com/article?id=post-crisis" target="_blank" rel="noopener noreferrer">8 months ago</a>, in October last year I've finally managed to take a break from my engine and compose an album. It's just short of half an hour. I am simply not cut to make hour long masterpieces. So this has to suffice.</p>

<p>I had a lot of doubt in the beginning. During my time studying, I was making music on and off, it was never a big deal. But then I had a job, and suddenly the free time was gone. The game engine is definitely a life goal, so I am definitely going to pursue that. Though, whenever I was working on the engine, there was always this nagging thought at the back of my mind: <i>"Bro? What's up with music? You haven't opened FL Studio in 2 years!"</i> It drove me crazy. Purchasing gear and feeding the <a href="https://de.wikipedia.org/wiki/Gear_Acquisition_Syndrome" target="_blank" rel="noopener noreferrer">GAS</a> didn't help, and it made the doubt so much worse.</p>

<p>In October I finished my <a href="https://www.rismosch.com/article?id=building-a-job-system" target="_blank" rel="noopener noreferrer">JobSystem</a>. While crude and fundamental, it works. But I still had to write the blogpost, which was just. So. Much. This JobSystem and its accompanying blogpost are possibly a master thesis on their own, but fuck it. A degree is nothing but a piece of paper. Once the post was finally done, the literal next step of my engine would be the 3d renderer. I really hit a milestone, and it was the perfect moment to take a break.</p>

<p>And now, after the album is composed, mixed, mastered and uploaded, I want to document, how I made the album.</p>

<h2>The Polybrute</h2>

<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/polybrute.webp" style="display: block; margin: auto; width: 100%;" />

<p>Let's start with this baby, the work horse. It's responsible for the vast majority of sounds in the album. But god damn it, it is such a diva. If you are new to synths, there's this preconception that analog synths are "warmer", "better". I mean, sure the thing is much more fun than a VST on your computer, and the Polybrute definitely sounds different from anything out there, but this god damn thing just didn't want to stay in tune.</p>

<p>I have the Polybrute for almost 2 years now, and one year ago it started to be funny. It went out of tune so badly, that every sixth voice wasn't played in the right ear. I haven't turned it on for months, but then I fired it up in October. And would you know it? No tuning issues whatsoever! The thing acted like it never had any problem. I felt like I was being gaslighted by a friggin synthesizer. But then winter hit, and suddenly the tuning issues returned. This was such a big problem, that I had to plan my entire day around it.</p>

<p>First, I never turned the Polybrute off. Second, I heat my studio to 24,5&#176;C (32&#176;F). I know I know, this is ridiculously warm. And if you still believe in the carbon footprint, this temperature is ludicrous, but it was necessary to keep the Polybrute in tune. Also, I always kept the door of my room shut, to get a more consistent temperature. Once these preconditions are met, my average day looked like this:</p>

<ol>
<li>Wake up.</li>
<li>Ventilate my flat (now everything is cold and the Polybrute is unusable for the next 1-2 hours.)</li>
<li>Go to work after closing the windows.</li>
<li>Back home, tune the Polybrute.</li>
<li>Make music.</li>
<li>Ventilate the room (everything is cold <i>again</i>).</li>
<li>Go to sleep.</li>
</ol>

<p>Most weekends I would only ventilate on Sunday evening, because waiting for the synth to warm up and then tuning it took just way too long and was always such a hustle. The Polybrute has an automatic tune function, which would've been awesome, if it would work... I had better luck disabling the tuning and just stick with the calibration. Remarkably, the VCOs never went out of tune. You know, the thing that people praise about analog synths, that their pitch is <i>slightly</i> off and thus produces these warm and lush tones. Yeah, the VCOs were always perfectly in tune, but the Steiner Filter and the VCAs refused to stay in line.</p>

<p>So, afte all these inconviniences, does it sound good? Well, pretty much every sound on this album, with notable exceptions, is made the Polybrute. It's the fat farting bass synth, and the screaming, grainy pad in "02 Insecurities". It's literally every sound in "03 Chasm Pt1", even the organ! It's the tremolo bass in "04 Chasm Pt2". And "05 Nightmare" pretty much reuses most of these patches, only with the addition of an arpeggio and a solo lead sound. The Polybrute sounds amazing and perfectly fits my taste, it makes all the tuning issues absolutely worth it :)</p>

<p>Note to self: Always make music during summer.</p>

<h2>The other instruments</h2>

<p>While the Polybrute was the bread and butter, I made use of a handful of other instruments. Most notably:</p>

<ul>
<li>909 samples for the drums,</li>
<li>Instance of 3xOsc, only used for risers,</li>
<li>Pianoteq, for the Piano (duh) and</li>
<li>A sample-based choir (it's the default one in FL Studio 20).</li>
</ul>

<p>I pretend to be someone who listens to all genres. Even though I try to listen too as many different styles of music as possible, if I had to pick a favorite, it's probably DnB by a longshot. And my favorite subgenre therein is <a href="https://youtu.be/BNVg9nO2R0o" target="_blank" rel="noopener noreferrer">Intelligent DnB</a>. While I love the sampled, shuffled break beats in the music I listen to, I somehow don't want to use that in the stuff that I make. I really prefer programming my drums, no matter how fake or MIDI they sound.</p>

<p>Up until this album, I've always used samples of acoustic drums. But this time I wanted to try using electric drums. I chose the 909, which I think sounds the best (heresy to the 808, I know). But only after I was done with the first track, "02 Insecurities", did I notice that I really don't like the sound after all, and that I still prefer my drums to be acoustic. But now I had a dilemma to face. I could go back, replace the 909 with acoustic samples and mix the drums again from the ground up. Or I could simply use the finished mixed drums for everything thereafter. I chose to not re-mix my drums. Though I am a little bit bothered by it, I don't really hate it. So it's fine.</p>

<p>While keeping the same project file for multiple songs reduced much mixing work, organization pretty much flew out the window. In the end, instruments weren't in the tracks they were supposed to go, and I had patterns named "solo #24" or something, or like 100 separate vocal recordings. It was insane. Nonetheless, with everything being mixed already, every new melody only had to be programmed, which saved a lot of time :)</p>

<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/nightmare_flp_screenshot.webp" style="display: block; margin: auto; width: 100%;" />

<p>Let's talk about the other instruments. The instance of 3xOsc isn't remarkable. I used it for risers, because risers are trivially easy to make with sliding notes. But only internal FL Studio synths support sliding notes. Maybe if I would've been less lazy, I could've made some really sick risers with the Polybrute.</p>

<p>Pianoteq isn't remarkable either. It's a good sounding piano, with the benefit that it doesn't clog up my computer with piano samples. I don't care much about 100% authenticity. It sounds like a piano, as such the small size is a big plus. In case you are interested in specifics, I used Pianoteq 7 with the Grand C. Bechtstein DG piano.</p>

<p>The choir isn't remarkable either. It literally is the "Choir Ahh" preset of DirectWave. It doesn't sound good, but it doesn't sound particularly bad either. Again, I don't care about 100% authenticity. It sounds like a choir, and as such it is sufficient.</p>

<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/choir.webp" style="display: block; margin: auto; max-width: 100%;" />

<p>But you know what also isn't remarkable?</p>

<h2>My terrible singing</h2>

<p>In the middle of January, I bought some acoustic material! To kill the awful awful reverberation in my studio. I don't own much furniture, that you would find in the typical home. No couch, no cupboards, no bookshelves. Just a desk, a computer and audio equipment. As such, the acoustics in my room were absolutely terrible. The reverb was around 5 seconds long, which is quite amazing, when you consider how small my room actually is &#128584;</p>

<p>But I did my homework, and I know that gluing things on my walls is more damaging in the long run. So instead, I bought (stupidly expensive) general absorbers that can be mounted on microphone stands. If you were to permanently install acoustics, you can get much more and better stuff for a couple of bucks. If you are a DIY person, you can also build absorbers yourself, which apparently is very easy. Building them yourself is even cheaper than the cheapest stuff you can buy. But I'd cut myself even just thinking about using power tools.</p>

<p>But the garbage I bought has the obvious benefit that I can move them around. A recording booth on the go. Even though the acoustics in my studio are now much better, I still have my PC in my studio, which my microphone picks up. So, instead I simply moved the absorbers into my bedroom and recorded my vocals there :D</p>

<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/vocal_booth.webp" style="display: block; margin: auto; width: 400px; max-width: 100%;" />

<p>During the making of the first song "02 Insecurities", I didn't have these absorbers yet. Instead, I sang into my closet. If you pay attention, you can actually hear it. It sounds like I am singing into a wooden box :P</p>

<p>But thanks to the absorbers, in "04 Chasm Pt2" and "05 Nightmare", the acoustics are much more clean. As clean as the recordings are though, I still hate how my singing voice sounds. I never practiced singing, so that's probably the biggest problem here. Nevertheless, to "fix" it in the last part of "05 Nightmare", I've put heavy EQ and a bit crusher on top, so now it sounds like I am singing through a telephone. In retrospect, going to all the effort to get squeaky clean recordings, just to ruin them with effects after, was a big waste of money. Oh well, at least with these absorbers randomly standing around in my studio makes me feel like a professional now &#175;&#92;&#95;&#40;&#12484;&#41;&#95;&#47;&#175;</p>

<p>With the acoustics taken care of, now I only had to actual sing. I simply programmed a piano to play the melody I wanted to sing. As a metronome, I used the 909 hi-hats, and that's it. Something like this:</p>

<audio controls style="display: block; margin: auto;">
  <source src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/nightmare_solo_2.mp3" type="audio/mpeg">
  Your browser does not support mp3 &#128546;
</audio>

<p>You can hear how crude it is. I even have the metronome lasting for much longer than was actually needed &#128584;, but it does its job. I had one of these tracks for every part I wanted to sing. I downloaded them to my mobile phone, and listened to them with headphones.</p>

<p>For the last solo, where I actually wanted to sing lyrics, I had to plan out the words and how they fit with the melody. I did a lot of experimenting, writing down the lyrics in a word document and programming a piano parallel to it. I needed like 2 weeks to get the lyrics done. Once I was happy with them, I printed them out for quick reference. That's the sheet of paper lying on the drying rack, in the photo above.</p>

<p>Finally, I had to mix them, which wasn't that hard honestly. EQ, compression, reverb, the telephone effects. I don't want to pretend that I am a good singer, so be rest assured that I used autotune. (In the industry, we actually call it "pitch correction", and FL Studio calls it Newtone.)</p>

<h2>Sampled quotes</h2>

<p>In "02 Insecurities" and "04 Chasm Pt2" I definitely sampled what other people were saying. Did I breach copyright? Possibly. Do I care? No. I have little respect for copyright, much less of big companies abusing it. I won't write an essay about abolishing copyright law, but if you are interested from where I am coming from, <a href="https://youtu.be/MAFUdIZnI5o" target="_blank" rel="noopener noreferrer">here</a> is a detailed take.</p>

<p>Okay, opinions about copyright aside, I am actually going to credit where I got the samples from. The first quote is from John Carmack, on an Interview with Lex Friedman. Carmack is a legendary programmer. He is the founder of id Software and he is probably most famous for being the programmer behind Doom, the original from 1993.</p>

<p>The second quote is from Brian Karis. He is the lead developer behind Nanite, the feature in Unreal Engine 5, which generates LODs at runtime. I actually only learned of his existence because of Nanite. But considering how stupidly impressive Nanite is, this dude got brains.</p>

<p>The third quote is by a man which I honestly don't know. I've come across this clip of his on Reddit some time ago. I kinda vibed with it, with the insanity and determinedness behind the voice. Though I had to alter the audio quite a lot, removing the censored bleeps and rearranging it into something more coherent.</p>

<p>Also also, I really want to credit all the ideas I stole. I am mentioning it, because there is a high chance you missed it, but the melody in "04 Chasm Pt2", which is played at the same time as the enraged man rants, is not mine. It's from Undertale by Toby Fox. More specifically the song "But the Earth Refused to Die".</p>

<p>All other references and similarities are pure coincidence, or simply because I included them unconsciously. Pure originality doesn't exist anyway.</p>

<ul>
<li>John Carmack: <a href="https://youtu.be/I845O57ZSy4?t=18426" target="_blank" rel="noopener noreferrer">https://youtu.be/I845O57ZSy4?t=18426</a></li>
<li>Brian Karis: <a href="https://youtu.be/NRnj_lnpORU?t=2933" target="_blank" rel="noopener noreferrer">https://youtu.be/NRnj_lnpORU?t=2933</a></li>
<li>Enraged man: <a href="https://redd.it/sj210o" target="_blank" rel="noopener noreferrer">https://redd.it/sj210o</a></li>
<li>Toby Fox – But the Earth Refused to Die: <a href="https://youtu.be/ML6OV8fG74w" target="_blank" rel="noopener noreferrer">https://youtu.be/ML6OV8fG74w</a></li>
</ul>

<h2>Thumbnail</h2>

<p>To say it bluntly, the cover art was generated by AI. Specifically: I used DALL·E for the job. Unlike previous albums, I had absolutely no ideas for a cover. So I threw some keywords at DALL·E and watched it go.</p>

<p>First I tried "drum and bass album cover, black noise", but I really hated that DALL·E tried to put text on the cover. Even specifically adding "without text" to the prompt, DALL·E just couldn't help itself to add text.</p>

<p>Then I tried "black digital noise" and later specified it to "corrupt noise, gloomy athmosphere, without color, abstract, cartoonish". While generating super cool textures, it didn't scratch my itch and thus I threw the idea out of the window.</p>

<p>My third attempt was "speaker of a subwoofer, distorted, high contrast perlin noise, cell shaded 3d graphics", but I didn't like these, because they were too basic.</p>

<p>But then I hit gold, once I used the prompt "the world through the eyes of a schizophrenic person, in black and white", and beside the two creepy looking people, the other two pictures really hit the nail on its head. It was a really close call between the dude with the missing head and that distorted forest, but ultimately ended choosing the forest, because the missing head was a little to depressing for me.</p>

<p>Below is a selection of the thumbnails I generated. I left some out, due to them being very similar to the ones you already see here.</p>

<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.57.30 - drum and bass album cover, black noise.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.03 - drum and bass album cover, black noise.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.21 - drum and bass album cover, black noise, without text.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.25 - drum and bass album cover, black noise, without text.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.32 - black digital noise.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.42 - black digital noise.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.45 - black digital noise.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.47 - black digital noise.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.58.59 - corrupt noise, gloomy athmosphere, without color, abstract, cartoonish.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.02 - corrupt noise, gloomy athmosphere, without color, abstract, cartoonish.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.04 - corrupt noise, gloomy athmosphere, without color, abstract, cartoonish.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.12 - corrupt noise, gloomy athmosphere, without color, abstract, cartoonish.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.28 - speaker of a subwoofer, distorted, high contrast perlin noise, cell shaded 3d graphics.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.31 - speaker of a subwoofer, distorted, high contrast perlin noise, cell shaded 3d graphics.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.33 - speaker of a subwoofer, distorted, high contrast perlin noise, cell shaded 3d graphics.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.36 - speaker of a subwoofer, distorted, high contrast perlin noise, cell shaded 3d graphics.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.41 - the world through the eyes of a schizophrenic person, in black and white.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.45 - the world through the eyes of a schizophrenic person, in black and white.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.48 - the world through the eyes of a schizophrenic person, in black and white.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />
<img src="https://www.rismosch.com/articles/how-i-made-the-world-between-my-mind-and-reality/DALL·E 2023-03-10 19.59.52 - the world through the eyes of a schizophrenic person, in black and white.webp" style="display: inline-block; margin: auto; width: 190px; max-width: 100%;" />

<p>I was quite lucky actually, getting very good results on my 4th attempt or so. For example, the thumbnail for <a href="https://www.rismosch.com/assets/thumbnails/ris_engine.webp" target="_blank" rel="noopener noreferrer">my engine</a> required lots and lots of trial and error. I spent like 3/4 of my credits for colorful engine pictures, but only like 5 for my album :P</p>

<p>Up until this point, the album also didn't have a name yet. After seeing the headless dude and the forest, I stumbled onto "The World Between My Mind And Reality". I think it fits :)</p>

<h2>Miscellaneous</h2>

<p>Finally, let's talk about some miscellaneous stuff. Things that I want to mention, but for one reason or another could not or simply didn't want to put in any category above. So let's go:</p>

<p>The big swell in the beginning is a simple Piano key stroke, but with many many effects on top of it. So many in fact, that it generates these interesting noisy artifacts.</p>

<p>The organ sound in Chasm Pt1 and 2. That is 100% the Polybrute. I used modulated noise to generate the wind sound effect. With the longest possible release on the VCA envelope, such that the noise can ring out. But to stop the VCO when a key isn't pressed anymore, I used the MOD envelope to modulate the VCO mixer.</p>

<p>That sound after John Carmack and Brian Karis, is the Polybrutes delay effect. If you don't play any sound, and put the feedback of the delay up to 100%, the noise floor eventually gets so loud that you can hear it. Once it's at maximum loudness, turn down the delay time to get that pitch shift. Once I recorded it, I only had to correct its pitch, such that it is in tune with the rest of the song.</p>

<p>The first song "02 Insecurities" is never silent. I recorded the ambient noise of my PC and placed it into the song. In the later songs I didn't do that, because first, the organ sound is noisy enough already. And second, the last song "05 Nightmare" has so much sound stacked on top each other, that it was practically meaningless.  I wanted the silent parts in it to really be silent.</p>

<h2>Conclusion</h2>

<p>And there we have it. Now obviously, I didn't go into much detail, like how I mixed and the exact plugins I used, because quite frankly, I find that boring. And honestly, at the end of the day, mixing is more decision making. If you want to learn mixing, you probably should watch <a href="https://www.youtube.com/c/DanWorrall" target="_blank" rel="noopener noreferrer">Dan Worrall</a> instead.</p>

<p>As for what the album means and what I want to say with it, eh. It is what it is. <a href="https://en.wikipedia.org/wiki/The_Death_of_the_Author" target="_blank" rel="noopener noreferrer">Death of the Author</a> or what have you. I let the art speak for itself.</p>

