<?php

include 'php/util.php';

echo_head();

?>

	<title>Privacy Policy</title>
	<meta name="description" content="Privacy Policy of rismosch.com">
	<meta name="keywords" content="privacy, legal, cookies">

	<meta name="robots" content="all">

	<meta property="og:title" content="Privacy Policy" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="https://www.rismosch.com/privacy" />
	<meta property="og:image" content="https://www.rismosch.com/assets/meta_image_x10.png" />

	<meta name="author" content="Simon Sutoris">

</head>
<body>
	<div class="background">
		<?php
			echo_banner();
			echo_selector(-1);
		?>
		
		<div class="content copyright_text" id="content copyright_text">
			
			<h1>PRIVACY POLICY</h1>
			
			<p>Last updated: 06th May, 2023</p>
			
			<p style="border-bottom-width: 5px; border-bottom-style: dashed; border-bottom-color:var(--pico-8-white);"></p>
			<p style="border-bottom-width: 5px; border-bottom-style: dashed; border-bottom-color:var(--pico-8-white);"></p>
			<p style="border-bottom-width: 5px; border-bottom-style: dashed; border-bottom-color:var(--pico-8-white);"></p>
			
			<h2>FOR NON LAWYERS</h2>

			<h3>What do I collect?</h3>

			<p>I don't use cookies or trackers. The only data I collect is my contact form, in which you explicitly need to enter data. The form sends both you and me an email, and it is only this email that I store.</p>

			<p>The server that I am hosting this website from also collects data, like logs, IP adresses, which browser you used and where you are aproximately located. While interesting, this info is insufficient to identify and track users.</p>

			<p>Everything else you may do on my website, or who you even are, I have no clue about.</p>

			<h3>What do others collect?</h3>

			<p>You should also know that I use exactly 2 third party services. These may or may not (but probably do) collect your data:</p>

			<ul>
				<li>reCAPTCHA, for protection against malicious bots and;</li>
				<li>Bandcamp, to display a widget for music on the home page.</li>
			</ul>

			<p style="border-bottom-width: 5px; border-bottom-style: dashed; border-bottom-color:var(--pico-8-white);"></p>
			<p style="border-bottom-width: 5px; border-bottom-style: dashed; border-bottom-color:var(--pico-8-white);"></p>
			<p style="border-bottom-width: 5px; border-bottom-style: dashed; border-bottom-color:var(--pico-8-white);"></p>

			<h2>FOR LAWYERS</h2>
			
			<p>Here at rismosch.com, accessible from <a href="https://www.rismosch.com/">https://www.rismosch.com/</a> , We are committed to provide You with high-quality services and to respect Your privacy highly. This Privacy Policy describes Our policies and procedures on collecting, using, and disclosing Your information when You use Our websites, programs or services.</p>

			<h2>1. GENERAL</h2>
			
			<ul>
				<li>
					<h3>1.1</h3>
					Please read this privacy policy carefully before using Our Site. If You have any additional questions or require more information do not hesitate to contact Us.
				</li>
				<li>
					<h3>1.2 Definitions</h3>
					"<b>We</b>", "<b>Us</b>", "<b>Our</b>", means <b>rismosch.com</b>, Our subsidiaries and affiliates and any of Our respective agents and third-party service providers ("service providers").<br>
					"<b>You</b>", "<b>Your</b>" means the individual accessing or using the Service, or the Company, or other legal entity on behalf of which such individual is accessing or using the Service, as applicable.
				</li>
				<li>
					<h3>1.3 Scope</h3>
					This privacy policy covers visitors to Our Website.<br>
					This policy is not applicable to any information collected offline or via channels other than this website.
				</li>
			</ul>
			
			<h2>2. COLLECTION OF INFORMATION</h2>
			
			<ul>
				<li>
					<h3>2.1</h3>
					We collect Your personal information to maximize high-quality service delivery to You, provide You with any additional or special information about Our services, and protect Your personal information.
				</li>
				<li>
					<h3>2.2</h3>
					We may collect the following kinds of information when You, Your colleagues, or other users access the Service:<br>
					<br>
					<ul>
						<li>Your contact information, such as full name and email address;</li>
						<li>the content, communications, and other information You provide when You use Our Service;</li>
						<li>user communications, feedback, suggestions, and ideas sent to You and;</li>
						<li>information that You provide when You engage platform support regarding the Service.</li>
					</ul>
					<br>
					You represent and warrant that You have sought the consent of any individual whose information You provide to Us.
				</li>
				<li>
					<h3>2.3</h3>
					We may collect personal information about You from the information You provide to Us when You access this website. We may also receive personal information about You from third-party services. Lastly, We may also collect personal information from individuals whose identity You share with Us.
				</li>
				<li>
					<h3>2.4</h3>
					You permit Us to collect Your personal information at any time, before, during, and after engaging in a relationship with Us.
				</li>
				<li>
					<h3>2.5</h3>
					Our servers also collect information from You, such as Your domain name, websites You visit, and internet protocol address. This information is not personally identifiable. However, when You respond to questions or communicate with Us, Your personal information may be collected.
				</li>
				<li>
					<h3>2.6</h3>
					rismosch.com follows a standard procedure of using log files. These files log visitors when they visit websites. The information collected by log files include internet protocol (IP) addresses, browser type, Internet Service Provider (ISP), date and time stamp, referring/exit pages, and possibly the number of clicks. These are not linked to any information that is personally identifiable. The purpose of the information is for analyzing trends, administering the site, tracking users' movement on the website, and gathering demographic information.
				</li>
			</ul>
			
			<h2>3. USE OF INFORMATION</h2>
			
			<ul>
				<li>
					<h3>3.1</h3>
					Where it is in Our legitimate interest to do so, We may use Your personal information to:<br>
					<br>
					<ul>
						<li>To provide You with details about Our products and services by email, text, phone and through other communication methods;</li>
						<li>to carry out product development, statistical analysis, and market research;</li>
						<li>to develop and improve Our services and products;</li>
						<li>to update Our records;</li>
						<li>to carry out checks required by applicable regulation or regulatory guidance;</li>
						<li>to improve Our relationship with You by making the Website available to You in a user-friendly way, and to identify the products and services which You may be interested in;</li>
						<li>for customer service, including answering questions and responding to feedback and complaints;</li>
						<li>for any other specific purposes in relation to Your activities via the Platform;</li>
						<li>where You have given us consent, We shall provide You with information about any new products, services, events, promotions, and other information which We think will be of interest to You. You can withdraw your consent at any time, but without affecting the lawfulness of processing based on consent before its withdrawal. You can update your details or change Your privacy preferences by contacting Us via the details given in the "14. CONTACT US" section below.</li>
					</ul>
				</li>
				<li>
					<h3>3.2</h3>
					We use Your email address to make communicate with You. Upon Your consent, We may direct electronic email communication to You about Our services or market new services. We may also ask to seek Your feedback on the services We offer. You have an option to opt-out of such electronic communication. Lastly, We may track your email activity to check the effectiveness of the communication.  
				</li>
			</ul>
			
			<h2>4. SHARING PERSONAL INFORMATION</h2>
			
			<p>We may disclose Your personal information to third parties where it is in Our legitimate interest to do so, including the following reasons:</p>
			
			<ul>
				<li>
					<h3>4.1</h3>
					We may disclose Your personal information on request to the police or any other regulator or government authority to fulfill Our regulatory responsibilities, to help prevent or detect fraud or any other type of crime, or for any other reasonable purpose identified by the relevant authority; 
				</li>
				<li>
					<h3>4.2</h3>
					save as set out in this privacy policy; We will not sell or disclose Your data to any third party;
				</li>
				<li>
					<h3>4.3</h3>
					We may share Your information in the event of a merger, acquisition, or sale of our assets. We shall communicate with You in the event of such a change.
				</li>
			</ul>
			
			<h2>5. EXTERNAL SERVICES</h2>
			
			<p>We use two external services. They include:</p>
			<ul>
				<li>reCAPTCHA, for protection against malicious bots and;</li>
				<li>Bandcamp, to display a widget for music on the home page.</li>
			</ul>
			
			<h2>6. FUNCTIONALITY COOKIES</h2>
			
			<p>These cookies allow Us to remember choices You make when You use the website, such as remembering Your login details or language preference. The purpose of these cookies is to provide You with more personal experience and to avoid You having to re-enter Your preferences every time You use the Website.</p>
			
			<p>You can instruct Your browser to refuse all Cookies or to indicate when a cookie is being sent. However, if You do not accept Cookies, You may not be able to use some parts of Our program or site.</p>
			
			<h2>7. LINKS TO OTHER WEBSITES</h2>
			
			<ul>
				<li>
					<h3>7.1</h3>
					Our program and site may contain links to other websites that are not operated by Us. If You click on a third-party link, You will be directed to that third party's site. We strongly advise You to review the privacy policy of every site You visit.
				</li>
				<li>
					<h3>7.2</h3>
					We have no control over and assume no responsibility for the content, privacy policies, or practices of any third-party sites or services.
				</li>
				<li>
					<h3>7.3</h3>
					You can choose to disable cookies through Your individual browser options. To know more detailed information about cookie management with specific web browsers, it can be found at the browsers' respective websites.
				</li>
			</ul>
			
			<h2>8. SECURITY OF YOUR PERSONAL INFORMATION</h2>
			
			<ul>
				<li>
					<h3>8.1</h3>
					The security of Your personal data is important to Us but remember that no transmission method over the Internet or method of electronic storage is 100% secure. While We strive to use commercially acceptable means to protect Your personal data, We cannot guarantee its absolute security.
				</li>
				<li>
					<h3>8.2</h3>
					We restrict access to the information obtained from Our websites and web pages to Our employees, agents, affiliates, partners and contractors. We maintain physical, electronic, and procedural safeguards designed to protect personal information to the extent reasonably possible.
				</li>
			</ul>
			
			<h2>9. CCPA PRIVACY RIGHTS (DO NOT SELL MY PERSONAL INFORMATION)</h2>
			
			<p>Under the CCPA, among other rights, California consumers have the right to:</p>
			
			<ul>
				<li>Request that a business that collects a consumer's personal data disclose the categories and specific pieces of personal data that a business has collected about consumers.</li>
				<li>Request that a business delete any personal data about the consumer that a business has collected.</li>
				<li>Request that a business that sells a consumer's personal data, not sell the consumer's personal data.</li>
			</ul>
			
			<p>If such request is made, We have one month to respond to You. If You would like to exercise any of these rights, please contact Us.</p>
			
			<h2>10. GDPR DATA PROTECTION RIGHTS</h2>
			
			<p>To make sure that You are fully aware of all of Your data protection rights, every User is entitled to the following:</p>
			
			<ul>
				<li>The right to access – You have the right to request copies of Your personal data. We may charge You a small fee for this service.</li>
				<li>The right to rectification – You have the right to request that We correct any information You believe is inaccurate. You also have the right to request that We complete the information You believe is incomplete.</li>
				<li>The right to erasure – You have the right to request that We erase Your personal data, under certain conditions.</li>
				<li>The right to restrict processing – You have the right to request that We restrict the processing of Your personal data, under certain conditions.</li>
				<li>The right to object to processing – You have the right to object to Our processing of Your personal data, under certain conditions.</li>
				<li>The right to data portability – You have the right to request that We transfer the data that We have collected to another organization, or directly to You, under certain conditions.</li>
			</ul>
			
			<p>If You make a request, We have one month to respond to You. If You would like to exercise any of these rights, please contact Us.</p>
			
			<h2>11. CHILDREN'S INFORMATION</h2>
			
			<p>As an additional protective measure in regards to information about children, We encourage parents and guardians to observe, participate in, and/or monitor and guide their children’s online activity.</p>
			<p>rismosch.com does not knowingly collect any personal identifiable information from children under the age of 13. If You think that Your child provided this kind of information on this website, We strongly encourage You to contact Us immediately and We will do Our best to promptly remove such information from Our records.</p>
			
			<h2>12. CONSENT REQUEST AND PREFERENCES</h2>
			
			<ul>
				<li>
					<h3>12.1</h3>
					You may request Us to identify the personal information We have collected and kept in Our servers. To make such a request, contact Us through Our contact form provided below.
				</li>
				<li>
					<h3>12.2</h3>
					You may contact Us to cancel, withdraw, or restrict the amount and type of information We collect and keep. We may keep on using some of Your personal information even after Your withdrawal if the information is necessary to run Your account or fulfill legal obligations. We may also stop providing services that We would only give if We had the information You have withdrawn.
				</li>
			</ul>
			
			<h2>13. CHANGES TO THIS PRIVACY POLICY</h2>
			
			<ul>
				<li>
					<h3>13.1</h3>
					We may update Our privacy policy from time to time. We will notify You of any changes by posting the new privacy policy on this page.
				</li>
				<li>
					<h3>13.2</h3>
					We will let You know via email or a prominent notice on Our program and site before or when the changes becomes effective and update the "Last Updated" date at the top of this privacy policy.
				</li>
				<li>
					<h3>13.3</h3>
					You are advised to review this privacy policy periodically for any changes. Changes to this privacy policy are significant when they are posted on this page.
				</li>
			</ul>
			
			<h2>14. CONTACT US</h2>
			
			<p>There is 1 site where users can enter data:</p>
			
			<ul>
				<li>Contact Form <a href="https://www.rismosch.com/contact">https://www.rismosch.com/contact</a></li>
				
				<p>If You have any questions about the provisions in this privacy policy, You can contact Us with the form above or any other available platform provided by Us.</p>
			</ul>
			
		</div>
		
		<?php echo_foot(false); ?>
	</div>
</body>
</html>